#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		_sbin		/sbin
%global		_bin		/bin
#-----------------------------------------------------------------------------
Name		:	inetutils
Version		:	2.5
Release		:	17.0.10.rel%{?dist}
Summary		:	Network monitoring tools including ping
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://www.gnu.org/software/inetutils/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	autoconf

Requires(post)	:	libcap

#to get ifconfig
Requires	:	net-tools
#-----------------------------------------------------------------------------
%description
The iputils package contains basic utilities for monitoring a network,
including ping. The ping command sends a series of ICMP protocol
ECHO_REQUEST packets to a specified network host to discover whether
the target machine is alive and receiving network traffic.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README COPYING
%attr(4755,root,root) %{_sbindir}/ping
%attr(4755,root,root) %{_sbindir}/ping6
%{_bindir}/dnsdomainname
%{_bindir}/hostname
%{_bindir}/ftp
%{_bindir}/talk
%{_bindir}/telnet
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/dnsdomainname.1.gz
%{_mandir}/man1/ftp.1.gz
%{_mandir}/man1/hostname.1.gz
%{_mandir}/man1/ping.1.gz
%{_mandir}/man1/ping6.1.gz
%{_mandir}/man1/talk.1.gz
%{_mandir}/man1/telnet.1.gz

#-----------------------------------------------------------------------------
#allowing ping to be used by simple user
%post
%{_sbindir}/setcap cap_net_raw=pe %{_sbindir}/ping
%{_sbindir}/setcap cap_net_raw=pe %{_sbindir}/ping6

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--libexecdir=%{_libexecdir}			\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--localstatedir=%{_var}				\
	--with-ncurses-include-dir=%{_includedir}	\
	--enable-ipv6					\
	--disable-logger				\
	--disable-whois					\
	--disable-rcp					\
	--disable-rexec					\
	--disable-rlogin				\
	--disable-rsh					\
	--disable-servers				\
	--disable-tftp					\
	--disable-traceroute				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%{__rm} -fr  %{buildroot}%{_infodir}/dir

#removing ifconfig, it is provided by net-tools
%{__rm}								\
	%{buildroot}%{_bindir}/ifconfig				\
	%{buildroot}%{_mandir}/man1/ifconfig.1

#moving ping to proper location
%{__mkdir_p}							\
	%{buildroot}%{_sbindir}
%{__mv}								\
	%{buildroot}%{_bindir}/ping*				\
	%{buildroot}%{_sbindir}
#-----------------------------------------------------------------------------
%changelog

